Bug 209111 - error in yum and yumex
error in yum and yumex
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2006-10-03 08:00 EDT by Herbert Carl Meyer
Modified: 2014-01-21 17:55 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.0-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-03 16:55:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Herbert Carl Meyer 2006-10-03 08:00:04 EDT
Description of problem:
error in yumex and yum

Version-Release number of selected component (if applicable):

How reproducible:
very, traceback from yumex, similar errors in yum

Steps to Reproduce:
1. run yumex, refresh to get updates
2. select some packages to update
Actual results: (traceback)
Component: yumex
Version: 1.1.3
Summary: TBa28914a0 kmdl.py:80:kmdl_install:AttributeError:
YumAvailablePackageSqlite instance has no attribute 'returnEVR'

Traceback (most recent call last):
  File "/usr/share/yumex/yumexmain.py", line 172, in on_queueProcess_clicked
    rc = self.action.process_package_queue( pkgs, doAll )
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 1024, in
    rc, msg = self.yumexbase.processPkgs( pkgs, doAll )
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 600, in
    return self.buildTransaction()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 441, in
    self.plugins.run('postresolve', rescode=rescode, restring=restring)
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 151, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/kmdl.py", line 99, in postresolve_hook
    kmdl_install(conduit, kernels, kmdls(conduit))
  File "/usr/lib/yum-plugins/kmdl.py", line 80, in kmdl_install
    if not pkgfound or compareEVR(pkg.returnEVR(), pkgfound.returnEVR()) == 1:
AttributeError: YumAvailablePackageSqlite instance has no attribute 'returnEVR'

Local variables in innermost frame:
kernel: ['2.6.17-1.2187_FC5', 'i686']
pkgfound: alsa-kmdl-2.6.17-1.2187_FC5 - 1.0.12-54.fc5.at.i686
pkgname: alsa-kmdl-2.6.17-1.2187_FC5
kernels: [['2.6.17-1.2174_FC5', 'i686'], ['2.6.17-1.2187_FC5', 'i686']]
kmdl: alsa
tsInfo: <yum.transactioninfo.ConditionalTransactionData instance at 0x9824a0c>
kmdls: ['madwifi', 'madwifi-hal', 'madwifi-hal', 'alsa', 'madwifi', 'alsa']
pkg: alsa-kmdl-2.6.17-1.2187_FC5 - 1.0.13-55.fc5.at.i686
conduit: <yum.plugins.DepsolvePluginConduit instance at 0xa4fb54c>
Comment 1 Jeremy Katz 2006-10-03 16:55:46 EDT
You need a newer version of the kmdl plugin
Comment 2 Herbert Carl Meyer 2006-10-03 17:34:35 EDT
(In reply to comment #1)
> You need a newer version of the kmdl plugin

Thanks, where do I find it ?
Comment 3 Axel Thimm 2006-12-09 13:22:43 EST
This seems to have been fixed between this report and the FC6 release:
YumAvailablePackageSqlite is derived from YumAvailablePackage, which is derived
(among other) from RpmBase, which provides returnEVR.

Note You need to log in before you can comment on or make changes to this bug.